New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Is it possible to install GitHub's Ruby? #2814

Closed
pkmiec opened this Issue Apr 30, 2014 · 4 comments

Comments

Projects
None yet
4 participants
@pkmiec
Copy link

pkmiec commented Apr 30, 2014

I'd like to install GitHub's Ruby. It was discussed http://samsaffron.com/archive/2014/04/08/ruby-2-1-garbage-collection-ready-for-production. The source is https://github.com/github/ruby.

Is it possible to do so with RVM?

@mpapis

This comment has been minimized.

Copy link
Member

mpapis commented May 2, 2014

for start you can try rvm install 2.1.1 --patch railsexpress this patches include also the falcon patches and are generally optimized towards running rails applications

as for using the github repo try:

rvm get stable
rvm install ruby-head --url https://github.com/github/ruby.git --branch 2.1

look into named rubies if you need more then one installation o ruby-head

@mpapis

This comment has been minimized.

Copy link
Member

mpapis commented May 2, 2014

please close the issue if it worked, let me know if you need more help

@pkmiec

This comment has been minimized.

Copy link
Author

pkmiec commented May 2, 2014

That worked! Thanks.

@pkmiec pkmiec closed this May 2, 2014

@mpapis mpapis removed the feedback needed label May 2, 2014

@raskhadafi

This comment has been minimized.

Copy link

raskhadafi commented Nov 7, 2014

👍

@pkuczynski pkuczynski added help and removed support labels Oct 7, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment